%define pypi_name	nltk

Name:			python-%{pypi_name}
Version:		3.8.1
Release:		%mkrel 3
Summary:		Natural Language Toolkit for Python
Group:			Development/Python
Url:			https://pypi.org/project/nltk/
Source0:		%{pypi_source %pypi_name %version zip}
License:		CPL
BuildArch:		noarch

%description
The Natural Language Toolkit is a Python package that simplifies the 
construction of programs that process natural language and defines 
standard interfaces between the different components of an NLP system. 

%package -n     python3-%{pypi_name}
Summary:		Natural Language Toolkit for Python
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
The Natural Language Toolkit is a Python package that simplifies the 
construction of programs that process natural language and defines 
standard interfaces between the different components of an NLP system. 

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nltk

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/nltk


%changelog
* Sun Mar 02 2025 wally <wally> 3.8.1-3.mga10
+ Revision: 2158414
- rebuild for python3.13

* Wed Jan 31 2024 papoteur <papoteur> 3.8.1-2.mga10
+ Revision: 2036476
- rebuild for python 3.12

* Tue Feb 21 2023 papoteur <papoteur> 3.8.1-1.mga9
+ Revision: 1944528
- new 3.8.1
- port to pyproject macros

* Wed Mar 23 2022 umeabot <umeabot> 3.7-2.mga9
+ Revision: 1823555
- Mageia 9 Mass Rebuild
+ danf <danf>
- Fix the package description

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.7-1.mga9
+ Revision: 1783632
- version 3.7
- rebuild for python-3.10

* Sun Aug 22 2021 guillomovitch <guillomovitch> 3.6.2-1.mga9
+ Revision: 1742338
- new version 3.6.2

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.5-1.mga9
+ Revision: 1705908
- new version 3.5

* Thu Jul 23 2020 ovitters <ovitters> 3.4.5-3.mga8
+ Revision: 1608286
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 3.4.5-2.mga8
+ Revision: 1536557
- Mageia 8 Mass Rebuild

* Sat Oct 19 2019 guillomovitch <guillomovitch> 3.4.5-1.mga8
+ Revision: 1454605
- new version 3.4.5
- drop python 2 support

* Wed Sep 19 2018 umeabot <umeabot> 3.0.3-3.mga7
+ Revision: 1274639
- Mageia 7 Mass Rebuild

* Thu Feb 18 2016 umeabot <umeabot> 3.0.3-2.mga6
+ Revision: 966179
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 guillomovitch <guillomovitch> 3.0.3-1.mga6
+ Revision: 842855
- new version 3.0.3

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-10.mga5
+ Revision: 739459
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.4-9.mga5
+ Revision: 729152
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.4-8.mga5
+ Revision: 688179
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0.4-6.mga4
+ Revision: 543872
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.4-5.mga4
+ Revision: 498967
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 09 2013 fwang <fwang> 2.0.4-4.mga4
+ Revision: 440980
- update br

* Sat Mar 30 2013 rtp <rtp> 2.0.4-3.mga3
+ Revision: 406700
- Add missing build requires not noticed due to the build script downloading it while
  building.

* Sun Jan 13 2013 umeabot <umeabot> 2.0.4-2.mga3
+ Revision: 379161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 guillomovitch <guillomovitch> 2.0.4-1.mga3
+ Revision: 323134
- new version

* Wed Aug 31 2011 misc <misc> 2.0.1-0.rc1.2.mga2
+ Revision: 137170
- add missing requires ( prevent w3af from starting )
+ guillomovitch <guillomovitch>
- new version
- imported package python-nltk


* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 0:1.4.4-9mdv2011.0
+ Revision: 594962
- rebuild for py 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0:1.4.4-9mdv2010.0
+ Revision: 442322
- rebuild

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0:1.4.4-8mdv2009.1
+ Revision: 323810
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0:1.4.4-7mdv2009.0
+ Revision: 242422
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Sun Sep 09 2007 David Walluck <walluck@mandriva.org> 0:1.4.4-4mdv2008.0
+ Revision: 83166
- rebuild


* Mon Sep 04 2006 David Walluck <walluck@mandriva.org> 0:1.4.4-3mdv2007.0
- rebuild to fix release
- clean %%{buildroot} in %%install

* Thu Dec 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.4.4-2mdk
- Add BuildRequires: python-devel

* Sun Nov 06 2005 David Walluck <walluck@mandriva.org> 0:1.4.4-1mdk
- release

